> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1mailensuresmtpconfiguration



## OpenAPI

````yaml https://saas.pads365.com/rdx/nds.services.email//swagger/v1/swagger.json post /api/v1/mail/ensureSmtpConfiguration
openapi: 3.0.0
info:
  title: nds.services.email
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/nds.services.email/
security: []
paths:
  /api/v1/mail/ensureSmtpConfiguration:
    post:
      tags:
        - Mailing
      operationId: Mailing_EnsureSmtpConfiguration
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnsureSmtpConfigurationMessage'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnsureSmtpConfigurationResult'
components:
  schemas:
    EnsureSmtpConfigurationMessage:
      allOf:
        - $ref: '#/components/schemas/BaseMessage'
        - type: object
          additionalProperties: false
          properties:
            Host:
              type: string
              nullable: true
            Port:
              type: integer
            Ssl:
              type: boolean
            AuthRequired:
              type: boolean
            Username:
              type: string
              nullable: true
            InternalPassword:
              type: string
              nullable: true
            SenderAddress:
              type: string
              nullable: true
            Priority:
              type: integer
              format: int32
            Enabled:
              type: boolean
            Password:
              type: string
              nullable: true
            BCC:
              type: array
              nullable: true
              items:
                type: string
    EnsureSmtpConfigurationResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
    BaseMessage:
      allOf:
        - $ref: '#/components/schemas/Message'
        - type: object
          additionalProperties: false
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    Message:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Context:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MessageContext'
    MessageContext:
      type: object
      additionalProperties: false
      properties:
        CorrelationId:
          type: string
          nullable: true
        UserId:
          type: string
          nullable: true
        Pads4UserId:
          type: string
          nullable: true
        Domain:
          type: string
          nullable: true
        Claims:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UserClaim'
        SecondaryIdentities:
          type: array
          nullable: true
          items:
            type: string
        ImpersonationId:
          type: string
          nullable: true
    UserClaim:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true

````